<?php
/*
=============================================
 Движок:  SHCMS Engine
=============================================
 Название файла: Библиотека
=============================================
 Official website: http://shcms.ru
=============================================
 Данный код защищен авторскими правами
=============================================
*/
define('SHCMS', true);
include_once'../system/inc/basic_settings.php';
if($_GET['id']){$id=$_GET['id'];}
$shcmsengine['title'] = 'Управление моими статьями';
include_once'../template/head.php';

    if(!$user_id)
    {
	errors('Чтобы просмотреть страницу авторизуйтесь');
    include_once'../template/foot.php';
    exit;
	}

switch($act):
    case '':
    $allfield = mysql_result(mysql_query("SELECT COUNT(*) FROM `libs_stat` WHERE `user_id` = '$user_id'"),0);
    $newlist = new Navigation($allfield, 10, true);  
        echo '<div class="posts"><strong>Статистика:</strong>
        <br/>Статей добавлено: '.$allfield.'</div>'; 
		
    $mystat = mysql_query("SELECT * FROM `libs_stat` WHERE `user_id` = '$user_id' ORDER BY `id` DESC ". $newlist->limit()."");
        if(mysql_num_rows($mystat) != 0)
        {
            while($stat = mysql_fetch_array($mystat))
            {
                echo '<div class="posts"><strong><a href="lib.php?id='.$stat['id'].'">'.$stat['name'].'</a></strong>
                <span class="maintime">';
            echo "<a title='Редактировать' href='?act=edit&id=$stat[id]'><img src='/template/icon/edit.png'></a>
			<a title='Удаление раздела' href='?id=$stat[id]&act=delete'><img src='/template/icon/delete.png'></a>";
            echo '</spans></div>';
            }
			
    echo '<div class="pages">';
    echo $newlist->pagination();
    echo '</div>';
        }
        else
        {
    errors('У вас еще нет статей');
        }
	break;
		
    case'edit':

        $libs = mysql_fetch_array(mysql_query("SELECT * FROM `libs_stat` WHERE `id` = '$id'"));
            if(isset($_POST['submit']))
            {
                $submit = $_POST['submit'];
            }
        if(isset($submit))
        {
                if(isset($_POST['name']))
                {
                    $name = $_POST['name'];
                }
                if(isset($_POST['text']))
                {
                    $text = $_POST['text'];
                }

            if(empty($name))
            {
                errors("Введите название статьи");
                header("Refresh: 1; url=?act=edit&id=$id");
                include_once '../template/foot.php';
                exit;
            }

        $libs_mysql = mysql_query("UPDATE `libs_stat` SET `name` = '$name',`text` = '$text' WHERE `id` = '$id'");
            if($libs_mysql == true)
            {
                messag('Ваша статья успешно изменена');
                header("Refresh: 1; url=?");
                include_once '../template/foot.php';
                exit;
            }
            else
            {
                errors('Возникла ошибка при редактировании');
                header("Refresh: 1; url=?act=edit&id=$id");
                include_once '../template/foot.php';
                exit;
            }

        }
    echo '<form action="?act=edit&id='.$id.'" method="post">';
    echo 'Название:<br/><input type="text" name="name" value="'.$libs['name'].'"><br/>';
    echo 'Описание<br/><textarea name="text">'.$libs['text'].'</textarea><br/>';
    echo '<input type="submit" name="submit">';
    echo '</form>';


    break;
	
	
    case'delete':

        $mysql_delete = mysql_fetch_array(mysql_query("SELECT * FROM `libs_stat` WHERE `id` = '$id'"));
        $delete = mysql_query("DELETE FROM `libs_stat` WHERE `id` = '$id'");

            if($delete == true)
            {
                messag("Статья $mysql_delete[name] успешно удалена");
                header("Refresh: 1; url=?");
                include_once'../template/foot.php';
                exit;
            }
            else
            {
                errors("Статья $mysql_delete[name] не удалена");
                header("Refresh: 1; url=?");
                include_once'../template/foot.php';
                exit;
            }
    break;
		
		
		
		
	endswitch;
include_once'../template/foot.php';

?>